Bug 1327476 - openmx bundles liberi library
Summary: openmx bundles liberi library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openmx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 08:32 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2017-11-21 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 14:57:38 UTC


Attachments (Terms of Use)
clarification on license of liberi (39.54 KB, application/pdf)
2016-09-22 15:04 UTC, Tom "spot" Callaway
no flags Details

Description Dominik 'Rathann' Mierzejewski 2016-04-15 08:32:07 UTC
Description of problem:
openmx bundles a library called liberi in source/liberi-091216, which seems to be non-free.

Version-Release number of selected component (if applicable):
3.7.10-3

Additional info:
Original upstream seems to be here: http://cpc.cs.qub.ac.uk/summaries/AEGG_v1_0.html and the license is non-free: http://cpc.cs.qub.ac.uk/licence/licence.html
[...] No user or site will re-distribute the source code or executable code to a third party in original or modified form without the written permission of the author.
[...]
This licence does not permit any commercial (profit-making or proprietary) use or re-licensing or re-distributions. Persons interested in for-profit use should contact the author.

Please contact upstream as soon as possible. If the liberi code cannot be removed or re-licensed under a free license then the package must be removed from Fedora.

Comment 1 Tom "spot" Callaway 2016-04-15 20:40:33 UTC
I've attempted to email the author of LIBERI, as found here:

https://sites.google.com/site/mtoyodacmp/

I am hopeful based on his direct contribution of this code to openmx that the license is actually GPL, but I will let you know what I find out.

Comment 2 Dominik 'Rathann' Mierzejewski 2016-06-24 13:15:42 UTC
That was my hope as well, since he's listed as OpenMX contributor on the official site: http://www.openmx-square.org/contributors.html . Has there been any reply from him?

Comment 3 Tom "spot" Callaway 2016-06-24 13:42:13 UTC
Not yet. I am resending it to see if perhaps it was overlooked.

Comment 4 Jan Kurik 2016-07-26 04:39:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Tom "spot" Callaway 2016-09-22 15:04:32 UTC
Created attachment 1203781 [details]
clarification on license of liberi

Masayuki Toyoda replied to my email and gave permission for liberi to be used under the terms of the GPL, same as OpenMX.

Comment 6 Tom "spot" Callaway 2016-09-22 15:05:36 UTC
I believe this resolves the legal issue. Please pass this along to the OpenMX upstream so that they can make this change in their codebase.

Comment 7 Fedora End Of Life 2017-11-16 18:47:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Dominik 'Rathann' Mierzejewski 2017-11-21 14:24:31 UTC
Bumping to rawhide so that it doesn't get auto-closed. I can see that the required Provides: are there so feel free to close manually if you don't intend to unbundle.

Comment 9 marcindulak 2017-11-21 14:57:38 UTC
I don't think we unbundle, since the authors of openmx don't do that upstream.


Note You need to log in before you can comment on or make changes to this bug.